BEEM - Android XMPP - Bug #215

Crash a la reconnexion lorsque I'on est deja connecte
11/19/2009 06:27 PM - Jean-Baptiste Vergely

Status: Closed Start date: 11/19/2009
Priority: Normal Due date:

Assignee: Vincent Véronis % Done: 100%
Category: Estimated time: 1.00 hour
Target version: 0.1

Affected version: Locale:

Description

Lorsque l'on est connecté avec son compte: menu -> settings -> menu -> login I'application crash.
Le probléme se produit lorsque I'on modifie ou non des options.
Rapport d'erreur:

11-19 17:20:28.207: WARN/dalvikvm(992): threadid=3: thread exiting with uncaught exception (group=0x4001aa28)
11-19 17:20:28.207: ERROR/AndroidRuntime(992): Uncaught handler: thread main exiting due to uncaught exception
11-19 17:20:23.217: ERROR/AndroidRuntime(992): java.lang.RuntimeException: Error receiving broadcast Intent {
act=BeemConnectionClosed (has extras) } in com.beem.project.beem.utils.BeemBroadcastReceiver@43821998
11-19 17:20:23.217: ERROR/AndroidRuntime(992):  at
android.app.ActivityThread$Packagelnfo$ReceiverDispatcher$Args.run(ActivityThread.java:716)

11-19 17:20:23.217: ERROR/AndroidRuntime(992):  at android.os.Handler.handleCallback(Handler.java:587)

11-19 17:20:28.217: ERROR/AndroidRuntime(992):  at android.os.Handler.dispatchMessage(Handler.java:92)
11-19 17:20:28.217: ERROR/AndroidRuntime(992):  at android.os.Looper.loop(Looper.java:123)

11-19 17:20:23.217: ERROR/AndroidRuntime(992):  at android.app.ActivityThread.main(ActivityThread.java:4203)
11-19 17:20:23.217: ERROR/AndroidRuntime(992):  at java.lang.reflect.Method.invokeNative(Native Method)

11-19 17:20:23.217: ERROR/AndroidRuntime(992):  at java.lang.reflect.Method.invoke(Method.java:521)

11-19 17:20:23.217: ERROR/AndroidRuntime(992):  at
com.android.internal.os.Zygotelnit$MethodAndArgsCaller.run(Zygotelnit.java:791)

11-19 17:20:23.217: ERROR/AndroidRuntime(992):  at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:549)
11-19 17:20:238.217: ERROR/AndroidRuntime(992):  at dalvik.system.NativeStart.main(Native Method)

11-19 17:20:28.217: ERROR/AndroidRuntime(992): Caused by: java.lang.lllegalArgumentException: Service not registered:
com.beem.project.oeem.ui.ContactList$BeemServiceConnection@437590c0

11-19 17:20:23.217: ERROR/AndroidRuntime(992):  at
android.app.ActivityThread$Packagelnfo.forgetServiceDispatcher(ActivityThread.java:880)

11-19 17:20:23.217: ERROR/AndroidRuntime(992):  at
android.app.ApplicationContext.unbindService(ApplicationContext.java:865)

11-19 17:20:23.217: ERROR/AndroidRuntime(992):  at android.content.ContextWrapper.unbindService(ContextWrapper.java:324)
11-19 17:20:23.217: ERROR/AndroidRuntime(992):  at
com.beem.project.beem.utils.BeemBroadcastReceiver.onReceive(BeemBroadcastReceiver.java:42)

11-19 17:20:23.217: ERROR/AndroidRuntime(992):  at
android.app.ActivityThread$Packagelnfo$ReceiverDispatcher$Args.run(Activity Thread.java:705)

11-19 17:20:23.217: ERROR/AndroidRuntime(992): ... 9 more

11-19 17:20:23.227: INFO/Process(573): Sending signal. PID: 992 SIG: 3

11-19 17:20:23.227: INFO/dalvikvm(992): threadid=7: reacting to signal 3

11-19 17:20:23.227: ERROR/dalvikvm(992): Unable to open stack trace file '/data/anr/traces.txt': Permission denied

History

#1 - 12/03/2009 11:32 AM - Vincent Véronis
- Status changed from New to Closed

- Assignee set to Vincent Véronis

- % Done changed from 0 to 100

- Estimated time set to 1.00 h

Manage login change.
